Safe Haskell | Safe

TypeFamilies2

Synopsis

- data W
- type family Foo a
- data family Bar a

# Documentation

data W

Exported type

Instances

data Bar W = BarX Z | Shown because BarX is still exported despite Z being hidden
type Foo W | Should be visible, but with a hidden right hand side

type family Foo a

Exported type family

Instances

type Foo W | Should be visible, but with a hidden right hand side
type Foo X = Y | External instance

data family Bar a

Exported data family

Instances

data Bar W = BarX Z | Shown because BarX is still exported despite Z being hidden
data Bar Y |